aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2015-03-18 21:30:51 +0000
committerSean Whitton <spwhitton@spwhitton.name>2015-03-18 21:30:51 +0000
commit3685396f3b915302c194a441d626c67554615ec5 (patch)
treec6a6229445068907a3992199931773bf58df0321
parent665c3b30d41cf1309dbd8d138b8244e6d613f27e (diff)
downloadsariulclocks-3685396f3b915302c194a441d626c67554615ec5.tar.gz
deployment script creates dummy password file to avoid error
-rwxr-xr-xdeploy.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/deploy.sh b/deploy.sh
index 4420a8f..c967121 100755
--- a/deploy.sh
+++ b/deploy.sh
@@ -45,6 +45,10 @@ cp -RL ../schoolclock/sounds $dest
cd $HOME
# mkhomepg -p
mkdir -p $dest/data
+if ! [ -e "$dest/password" ]; then
+ echo "dummy_password" > $dest/password
+ echo "Please update password in $dest/password!"
+fi
chmod 777 $dest/data
chmod 755 $dest/sariulclocks.cgi